export default defineAppConfig({
  pages: [
    'pages/index/index',
    'pages/login/login',
    'pages/my/my'
  ],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#fff',
    navigationBarTitleText: '课程',
    navigationBarTextStyle: 'black'
  },
  tabBar: {
    list: [
      {text: '课题', pagePath: 'pages/index/index'},
      {text: "我的", pagePath: 'pages/my/my'}
    ]
  },
  preloadRule: {
    'pages/index/index': {
      network: 'all',
      packages: ['pages/business']
    },
    'pages/my/my': {
      network: 'all',
      packages: ['pages/manage']
    }
  },
  subpackages: [
    {
      root: 'pages/business',
      pages: [
        'course/course',
        'userInfo/userInfo',
        'videoInfo/videoInfo'
      ]
    },
    {
      root: 'pages/manage',
      pages: [
        'depAdmin/depAdmin',
        'studentAdmin/studentAdmin',
        'college/college',
        'curriculum/curriculum',
        'addStudent/addStudent',
        'depCur/depCur',
        'addCur/addCur',
        'studentRecord/studentRecord',
      ]
    }
  ]
})
