interface Breakpoint {
  id: number
  /** 秒 */
  time: number
}

export interface HVideoOptions {
  /** 视频时长s */
  duration: number
  /** 是否预览 */
  preview: boolean
  /** 视频播放地址 */
  src: string
  /** 视频封面 */
  poster?: string
  /** 视频断点 */
  breakpoint: Breakpoint[]

  /** 进入断点 */
  onBreakpoint: (id: number) => void
  /** 视频播放结束 */
  onEnded: () => void
}
